Bug 176990 - nautilus consistently crashes on an icon removal
Summary: nautilus consistently crashes on an icon removal
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-05 02:24 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 23:01:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a backtrace from a nautilus crash (4.80 KB, text/plain)
2006-01-05 02:24 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2006-01-05 02:24:13 UTC
Description of problem:

After 

gconftool-2 --set --type=bool /apps/nautilus/desktop/network_visible false

or an equivalent operation with gconf-editor, nautilus crashes with
an attached backtrace (this was generated by bug-buddy after installing
nautilus-debuginfo-2.13.3-1).

This happens only if the original value was 'true' and we are switching
to 'false'.  Subsequent repeats of the command above, or switching to 'true'
no matter which previous state, are uneventful.

A session restarts nautilus automatically and a 'false' value is accepted,
i.e. a corresponding icon does go away from a desktop.

Version-Release number of selected component (if applicable):
nautilus-2.13.3-1

How reproducible:
always

Comment 1 Michal Jaegermann 2006-01-05 02:24:13 UTC
Created attachment 122804 [details]
a backtrace from a nautilus crash

Comment 2 Alexander Larsson 2006-01-12 15:43:08 UTC
This is fixed upstream and will be in the next nautilus release we import.


Comment 3 Michal Jaegermann 2006-01-20 23:01:25 UTC
Value changes for /apps/nautilus/desktop/network_icon_visible (not 
'network_visible') with nautilus-2.13.4-1 do not crash nautilus anymore
and a corresponding icon shows up or disappears as expected.


Note You need to log in before you can comment on or make changes to this bug.